#!/bin/bash
#SBATCH -A p32852
#SBATCH -p gengpu
#SBATCH --gres=gpu:a100:1
#SBATCH --nodes=2
#SBATCH --ntasks-per-node=1
#SBATCH --time=24:00:00
#SBATCH --mem=64G
#SBATCH --cpus-per-task=4
#SBATCH --job-name=p1-categorization 
#SBATCH --output=p1-categorization.log
#SBATCH --mail-type=BEGIN,END,FAIL
#SBATCH --mail-user=gaughan@u.northwestern.edu

echo "starting the job at: $(date)"

echo "setting up the environment"

module purge
eval "$(conda shell.bash hook)"
conda activate olmo

echo "running the p1 categorization script"

python /home/nws8519/git/adaptation-slr/models/p1-categorization.py

echo "job finished, cleaning up"

conda deactivate

echo "job pau at: $(date)"

